> This is Payabli documentation. For a complete page index, fetch https://docs.payabli.com/llms.txt — append .md to any page URL for lightweight markdown. For section-level indexes, query parameters, and other AI-optimized access methods, see https://docs.payabli.com/ai-agents.md

# Authorize transaction

POST https://api-sandbox.payabli.com/api/MoneyIn/authorize
Content-Type: application/json

This endpoint is deprecated. New integrations should use the [Authorize endpoint](/developers/api-reference/moneyinV2/authorize-a-transaction), then capture, void, or refund the resulting transaction with the corresponding endpoints. Transactions created with this legacy endpoint must be managed with the legacy lifecycle endpoints — they aren't interchangeable with the current ones.

Authorize a card transaction. This returns an authorization code and reserves funds for the merchant. Authorized transactions aren't flagged for settlement until [captured](/developers/api-reference/moneyin/capture-an-authorized-transaction).

Only card transactions can be authorized. This endpoint can't be used for ACH transactions.

Reference: https://docs.payabli.com/developers/api-reference/moneyin/authorize-a-transaction

## Servers

- `https://api-sandbox.payabli.com/api` (Sandbox, default)
- `https://api.payabli.com/api` (Production)

## Request

### Query parameters

- `forceCustomerCreation` (boolean, optional) — When `true`, the request creates a new customer record, regardless of whether customer identifiers match an existing customer. Defaults to `false`.

### Headers

- `idempotencyKey` (string, optional) — _Optional but recommended_ A unique ID that you can include to prevent duplicating objects or transactions in the case that a request is sent more than once. This key isn't generated in Payabli, you must generate it yourself. This key persists for 2 minutes. After 2 minutes, you can reuse the key if needed.

### Body (application/json)

- `paymentDetails` (object, required) — Object describing details of the payment. Required.
  - `totalAmount` (double, required) — Total amount to be charged. If a service fee is sent, then this amount should include the service fee."
  - `categories` (list of object, optional) — Array of payment categories/line items describing the amount to be paid. **Note**: These categories are for information only and aren't validated against the total amount provided.
    - `amount` (double, required) — Price/cost per unit of item or category.
    - `label` (string, required) — Name of item or category.
    - `description` (string, optional) — Description of item or category
    - `qty` (integer, optional, default: 1) — Quantity of item or category
  - `checkImage` (map from string to any, optional) — Object containing image of paper check.
  - `checkNumber` (string, optional) — A check number to be used in the ach transaction. **Required** for payment method = 'check'.
  - `currency` (string, optional) — The currency for the transaction, `USD` or `CAD`. If your paypoint is configured for CAD, you must send the `CAD` value in this field, otherwise it defaults to USD, which will cause the transaction to fail.
  - `serviceFee` (double, optional) — Service fee to be deducted from the total amount. This amount must be a number, percentages aren't accepted. If you are using a percentage-based fee schedule, you must calculate the value manually.
  - `splitFunding` (list of object, optional) — Split funding instructions for the transaction. See [Split a Transaction](/developers/developer-guides/money-in-split-funding) for more.
    - `accountId` (string, optional) — The accountId for the account the split should be sent to.
    - `amount` (double, optional) — Amount from the transaction to send to this recipient.
    - `description` (string, optional) — A description for the split.
    - `recipientEntryPoint` (string, optional) — The entrypoint the split should be sent to.
  - `checkUniqueId` (string, optional) — Unique identifier for a processed check image. Required for RDC (Remote Deposit Capture) transactions where `achCode` is `BOC`. Use the `id` value from the [check processing](/developers/api-reference/moneyin/check-capture) response.
- `paymentMethod` (object or object or object or object or object or object or object, required) — Information about the payment method for the transaction. Required and recommended fields for each payment method type are described in each schema below.
  - PayMethodCredit
    - `cardexp` (string, required) — Card expiration date in format MMYY or MM/YY. Required for card transactions.
    - `cardnumber` (string, required) — The card number. Required when method is `card` and a `storedMethodId` isn't included.
    - `method` ("card", required) — Method to use for the transaction. For transactions with a credit or debit card, or a tokenized card, use `card`.
    - `cardcvv` (string, optional) — Card Verification Value (CVV) associated with the card number. We **strongly recommend** that you include this field when using `card` as a method.
    - `cardHolder` (string, optional) — Cardholder name.
    - `cardzip` (string, optional) — ZIP or postal code for the billing address of cardholder. We **strongly recommend** that you include this field when using `card` as a method.
    - `initiator` (string, optional) — The transaction's initiator. Indicates who initiated the transaction.
    - `saveIfSuccess` (boolean, optional) — When `true`, Payabli saves the payment method if the transaction is successful. The payment method ID is returned in the response as `methodReferenceId`. Defaults to `false`.
  - PayMethodACH
    - `achAccount` (string, required) — Bank account number. This field is **required** when method = 'ach'.
    - `achHolder` (string, required) — Bank account holder. This field is **required** when `method` is `ach` or `check`.
    - `achRouting` (string, required) — ABA/routing number of bank account. This field is **required** when method = 'ach'.
    - `method` ("ach", required)
    - `achAccountType` (enum, optional) — Bank account type. This field is **required** when method = 'ach'.
      - Allowed values: `Checking`, `Savings`
    - `achCode` (string, optional) — Standard Entry Class (SEC) code is a three letter code that describes how an ACH payment was authorized. Supported values are: - **PPD** (Prearranged Payment and Deposit) — Used for credits or debits where an accountholder authorizes a company to initiate either a single or recurring transaction to their personal bank account. Common examples include direct deposit of payroll, mortgage payments, or utility bills. This is the default value for subscription payments. - **WEB** (Internet-Initiated/Mobile Entry) — Used for debit entries when authorization is obtained from an accountholder via the internet or a wireless network. Common examples are online bill payments, ecommerce purchases, and mobile app payments where the consumer enters their banking information online. - **TEL** (Telephone-Initiated Entry) — Used for one-time debit entries where authorization is obtained from a consumer via telephone. Common examples are phone-based purchases or bill payments where the consumer provides their banking information over the phone. - **CCD** (Corporate Credit or Debit) — Used for fund transfers between business accounts. This code is specifically for business-to-business transactions. Common examples include vendor payments and other business-to-business payments. - **BOC** (Back Office Conversion) — Used to convert paper checks received in-person at a point-of-sale or staffed payment location into electronic ACH debits. Required for Remote Deposit Capture (RDC) transactions. Only supports consumer checks; business, government, and mailed checks aren't eligible.
    - `achHolderType` (enum, optional, default: personal) — The bank's accountholder type: personal or business.
      - Allowed values: `personal`, `business`
    - `device` (string, optional) — Identifier of registered cloud device used in the transaction.
  - PayMethodStoredMethod
    - `method` (enum, required) — Method to use for the transaction. Use `card`, `ach`, or `wallet` depending on what kind of method was tokenized to use a saved payment method for this transaction.
      - Allowed values: `card`, `ach`, `wallet`
    - `initiator` (string, optional) — The transaction's initiator. Indicates who initiated the transaction.
    - `storedMethodId` (string, optional) — Payabli identifier of a tokenized payment method.
    - `storedMethodUsageType` (string, optional) — **Strongly recommended.** The usage type for the stored method, used for merchant-initiated transactions (MIT). If you don't specify a value, Payabli defaults to `unscheduled`. Available values: - `unscheduled`: One-time or otherwise not pre-scheduled. - `subscription`: Subscription payments. For example, monthly rental fees or ongoing service subscriptions. - `recurring`: Recurring payments per a set plan. For example, splitting an HOA special assessment over 6 monthly payments. See [Understanding CIT and MIT Indicators](/guides/pay-in-transactions-cit-mit-overview) for more information.
  - PayMethodCloud
    - `method` ("cloud", required) — Method to use for the transaction. For cloud device transactions, the method is `cloud`.
    - `device` (string, optional) — Identifier of registered cloud device used in the transaction.
    - `saveIfSuccess` (boolean, optional) — When `true`, Payabli saves the payment method if the transaction is successful. The payment method ID is returned in the response as `methodReferenceId`. Defaults to `false`.
  - Check
    - `achHolder` (string, required) — The checking accountholder's name.
    - `method` ("check", required) — Method to use for the transaction. Use `check` for a paper check transaction. When the method is `check`, then `paymentDetails.checkNumber` is required.
  - Cash
    - `method` ("cash", required) — Method to use for the transaction. For cash transactions, use `cash`.
  - PayMethodBodyAllFields
    - `achAccount` (string, required) — Bank account number. This field is **required** when method = 'ach'.
    - `achHolder` (string, required) — Bank account holder. This field is **required** when `method` is `ach` or `check`.
    - `achRouting` (string, required) — ABA/routing number of Bank account. This field is **required** when method = 'ach'.
    - `achAccountType` (enum, optional) — Bank account type: Checking or Savings.
      - Allowed values: `Checking`, `Savings`
    - `achCode` (string, optional) — Standard Entry Class (SEC) code is a three letter code that describes how an ACH payment was authorized. Supported values are: - **PPD** (Prearranged Payment and Deposit) — Used for credits or debits where an accountholder authorizes a company to initiate either a single or recurring transaction to their personal bank account. Common examples include direct deposit of payroll, mortgage payments, or utility bills. This is the default value for subscription payments. - **WEB** (Internet-Initiated/Mobile Entry) — Used for debit entries when authorization is obtained from an accountholder via the internet or a wireless network. Common examples are online bill payments, ecommerce purchases, and mobile app payments where the consumer enters their banking information online. - **TEL** (Telephone-Initiated Entry) — Used for one-time debit entries where authorization is obtained from a consumer via telephone. Common examples are phone-based purchases or bill payments where the consumer provides their banking information over the phone. - **CCD** (Corporate Credit or Debit) — Used for fund transfers between business accounts. This code is specifically for business-to-business transactions. Common examples include vendor payments and other business-to-business payments. - **BOC** (Back Office Conversion) — Used to convert paper checks received in-person at a point-of-sale or staffed payment location into electronic ACH debits. Required for Remote Deposit Capture (RDC) transactions. Only supports consumer checks; business, government, and mailed checks aren't eligible.
    - `cardcvv` (string, optional) — Card Verification Value (CVV) associated with the card number. We **strongly recommend** that you include this field when using `card` as a method.
    - `cardexp` (string, optional) — Card expiration date in format MMYY or MM/YY. Required for card transactions.
    - `cardHolder` (string, optional) — Cardholder name.
    - `cardnumber` (string, optional) — The card number. Required when method is `card` and a `storedMethodId` isn't included.
    - `cardzip` (string, optional) — ZIP or postal code for the billing address of cardholder. We **strongly recommend** that you include this field when using `card` as a method.
    - `device` (string, optional) — Identifier of registered cloud device used in the transaction.
    - `initiator` (string, optional) — The transaction's initiator. Indicates who initiated the transaction.
    - `method` (enum, optional) — Method to use for the transaction.
      - Allowed values: `card`, `ach`, `cloud`, `check`, `cash`
    - `saveIfSuccess` (boolean, optional) — When `true`, Payabli saves the payment method if the transaction is successful. The payment method ID is returned in the response as `methodReferenceId`. Defaults to `false`.
    - `storedMethodId` (string, optional) — Payabli identifier of a tokenized payment method. If this field is used in a request, the `method` field is overridden and the payment is made using the payment token.
    - `storedMethodUsageType` (string, optional) — **Strongly recommended.** The usage type for the stored method, used for merchant-initiated transactions (MIT). If you don't specify a value, Payabli defaults to `unscheduled`. Available values: - `unscheduled`: One-time or otherwise not pre-scheduled. - `subscription`: Subscription payments. For example, monthly rental fees or ongoing service subscriptions. - `recurring`: Recurring payments per a set plan. For example, splitting an HOA special assessment over 6 monthly payments. See [Understanding CIT and MIT Indicators](/guides/pay-in-transactions-cit-mit-overview) for more information.
- `accountId` (string, optional) — Custom identifier for payment connector.
- `customerData` (object, optional) — Object describing the Customer/Payor. Which fields are required depends on the paypoint's custom identifier settings.
  - `additionalData` (map from string to map from string to any, optional) — Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using [custom identifiers](/developers/developer-guides/entities-customers), pass those in this object. Max length for a value is 100 characters. Example usage: ```json { "additionalData": { "key1": "value1", "key2": "value2", "key3": "value3" } } ```
  - `billingAddress1` (string, optional) — Billing address.
  - `billingAddress2` (string, optional) — Additional line for the billing address.
  - `billingCity` (string, optional) — Billing city.
  - `billingCountry` (string, optional) — Billing address country.
  - `billingEmail` (string, optional) — Email address.
  - `billingPhone` (string, optional) — Phone number.
  - `billingState` (string, optional) — Billing state. Must be a 2-letter state code for addresses in the US.
  - `billingZip` (string, optional) — Customer's billing ZIP code. For Pay In functions, this field supports 5-digit and 9-digit ZIP codes and alphanumeric Canadian postal codes. For example: "37615-1234" or "37615".
  - `company` (string, optional) — Customer's company name.
  - `customerId` (long, optional) — The Payabli-generated unique ID for the customer.
  - `customerNumber` (string, optional) — User-provided unique identifier for the customer. This is typically the customer ID from your own system.
  - `firstName` (string, optional) — Customer/Payor first name.
  - `identifierFields` (list of string, optional) — List of fields acting as customer identifiers, to be used instead of CustomerNumber.
  - `lastName` (string, optional) — Customer/Payor last name.
  - `shippingAddress1` (string, optional) — The shipping address.
  - `shippingAddress2` (string, optional) — Additional line for shipping address.
  - `shippingCity` (string, optional) — Shipping city.
  - `shippingCountry` (string, optional) — Shipping address country.
  - `shippingState` (string, optional) — Shipping state or province.
  - `shippingZip` (string, optional) — Shipping ZIP code. For Pay In functions, this field supports 5-digit and 9-digit ZIP codes and alphanumeric Canadian postal codes. For example: `37615-1234` or `37615`.
- `entryPoint` (string, optional) — The entrypoint identifier.
- `invoiceData` (object, optional) — Object describing an Invoice linked to the transaction.
  - `AdditionalData` (map from string to string, optional) — Custom dictionary of key:value pairs. You can use this field to store any data related to the object or for your system. If you are using [custom identifiers](/developers/developer-guides/entities-customers), pass those in this object. Max length for a value is 100 characters. ```json { "additionalData": { "key1": "value1", "key2": "value2", "key3": "value3" } } ```
  - `attachments` (list of object, optional) — Array of `fileContent` objects with attached documents. Max upload size is 30 MB.
    - `fContent` (string, optional) — Content of file, Base64-encoded. Ignored if `furl` is specified. Max upload size is 30 MB.
    - `filename` (string, optional) — The name of the attached file.
    - `ftype` (enum, optional) — The MIME type of the file (if content is provided).
      - Allowed values: `pdf`, `doc`, `docx`, `jpg`, `jpeg`, `png`, `gif`, `txt`
    - `furl` (string, optional) — Optional URL provided to show or download the file remotely.
  - `company` (string, optional) — Company name of the recipient of the invoice.
  - `discount` (double, optional) — Discount applied to the invoice.
  - `dutyAmount` (double, optional) — Duty amount.
  - `firstName` (string, optional) — First name of the recipient of the invoice.
  - `freightAmount` (double, optional) — Freight/shipping amount.
  - `frequency` (enum, optional) — Frequency of scheduled invoice.
    - Allowed values: `onetime`, `weekly`, `every2weeks`, `every6months`, `monthly`, `every3months`, `annually`, `firstofmonth`, `fifteenthofmonth`, `endofmonth`
  - `invoiceAmount` (double, optional) — The invoice amount.
  - `invoiceDate` (date, optional) — Invoice date in any of the accepted formats: YYYY-MM-DD, MM/DD/YYYY.
  - `invoiceDueDate` (date, optional) — Invoice due date in one of the accepted formats: YYYY-MM-DD, MM/DD/YYYY.
  - `invoiceEndDate` (date, optional) — Indicate the date to finish a scheduled invoice cycle (`invoiceType`` = 1) in any of the accepted formats: YYYY-MM-DD, MM/DD/YYYY.
  - `invoiceNumber` (string, optional) — Invoice number. Identifies the invoice under a paypoint.
  - `invoiceStatus` (integer, optional) — Invoice status code.
  - `invoiceType` (integer, optional) — Invoice type. Value `0` is for single/one-time invoices, `1` for scheduled invoices.
  - `items` (list of object, optional) — Array of line items included in the invoice.
    - `itemCategories` (list of string, optional) — Array of tags classifying item or product.
    - `itemCommodityCode` (string, optional) — Item or product commodity code. Max length of 250 characters.
    - `itemCost` (double, optional) — Item or product price per unit.
    - `itemDescription` (string, optional) — Item or product description. Max length of 250 characters.
    - `itemMode` (integer, optional) — Internal class of item or product: value `0` is only for invoices, `1` for bills, and `2` is common for both. Required on invoice line items — invoice creation fails with `Invalid item data` if it's omitted.
    - `itemProductCode` (string, optional) — Item or product code. Max length of 250 characters.
    - `itemProductName` (string, optional) — Item or product name. Max length of 250 characters.
    - `itemQty` (integer, optional) — Quantity of item or product.
    - `itemTaxAmount` (double, optional) — Tax amount applied to item or product.
    - `itemTaxRate` (double, optional) — Tax rate applied to item or product.
    - `itemTotalAmount` (double, optional) — Per-line total for this item (unit cost times quantity). Distinct from the invoice's overall total, `invoiceAmount`. Required on invoice line items.
    - `itemUnitOfMeasure` (string, optional) — Unit of measurement. Max length of 100 characters.
  - `lastName` (string, optional) — Last name of the recipient of the invoice.
  - `notes` (string, optional) — Notes included in the invoice.
  - `paymentTerms` (enum, optional) — Payment terms for invoice. If no terms are defined, then response data for this field defaults to `NET30`. Mirrors the values in [`Terms`](#schema-terms).
    - Allowed values: `PIA`, `CIA`, `UR`, `NET10`, `NET20`, `NET30`, `NET45`, `NET60`, `NET90`, `EOM`, `MFI`, `5MFI`, `10MFI`, `15MFI`, `20MFI`, `2/10NET30`, `UF`, `10UF`, `20UF`, `25UF`, `50UF`
  - `purchaseOrder` (string, optional) — Purchase order number.
  - `shippingAddress1` (string, optional) — The shipping address.
  - `shippingAddress2` (string, optional) — Additional line for shipping address.
  - `shippingCity` (string, optional) — Shipping city.
  - `shippingCountry` (string, optional) — Shipping address country.
  - `shippingEmail` (string, optional) — Shipping recipient's contact email address.
  - `shippingFromZip` (string, optional) — Sender shipping ZIP code.
  - `shippingPhone` (string, optional) — Recipient phone number.
  - `shippingState` (string, optional) — Shipping state or province.
  - `shippingZip` (string, optional) — Shipping ZIP code. For Pay In functions, this field supports 5-digit and 9-digit ZIP codes and alphanumeric Canadian postal codes. For example: `37615-1234` or `37615`.
  - `summaryCommodityCode` (string, optional) — Commodity code.
  - `tax` (double, optional) — Tax rate in percent applied to the invoice.
  - `termsConditions` (string, optional) — Custom terms and conditions included in the invoice.
- `ipaddress` (string, optional) — The IP address associated with the transaction.
- `orderDescription` (string, optional) — Text description of the transaction.
- `orderId` (string, optional) — Custom identifier for the transaction.
- `source` (string, optional) — Custom identifier to indicate the transaction or request source.
- `subdomain` (string, optional) — Refers to the payment page identifier. If provided, then the transaction is linked to the payment page.
- `subscriptionId` (long, optional) — Payabli identifier of the subscription associated with the transaction.

## Response

### 200

Ok

- `responseText` (string, required) — Response text for operation: 'Success' or 'Declined'.
- `isSuccess` (boolean, required) — Boolean indicating whether the operation was successful. A `true` value indicates success. A `false` value indicates failure.
- `responseData` (object, required)
  - `authCode` (string, required) — Authorization code for the transaction.
  - `referenceId` (string, required) — The transaction identifier in Payabli.
  - `resultCode` (integer, required) — Result code for the operation. Value `1` indicates a successful operation, values `2` and `3` indicate errors. A value of `10` indicates that an operation has been initiated and is pending.
  - `resultText` (string, required) — Text describing the result. If `ResultCode` = 1, will return `Approved` or a general success message. If `ResultCode` = 2 or 3, will contain the cause of the error or decline.
  - `avsResponseText` (string, required) — Text code describing the result for address validation (applies only for card transactions).
  - `cvvResponseText` (string, required) — Text code describing the result for CVV validation (applies only for card transactions).
  - `customerId` (long, required) — Payabli-generated unique ID of customer owner of transaction. Returns `0` if the transaction wasn't assigned to an existing customer or no customer was created.
  - `methodReferenceId` (string, optional) — The stored method's identifier (sometimes referred to as 'token') in Payabli. When `null`, the method wasn't created, or doesn't exist, depending on the operation performed.
- `pageIdentifier` (string, optional) — Auxiliary validation used internally by payment pages and components.

## Examples

**Request**

```json
{
  "paymentDetails": {
    "totalAmount": 100,
    "serviceFee": 0
  },
  "paymentMethod": {
    "cardHolder": "John Cassian",
    "cardcvv": "999",
    "cardexp": "02/27",
    "cardnumber": "4111111111111111",
    "cardzip": "12345",
    "initiator": "payor",
    "method": "card"
  },
  "customerData": {
    "customerId": 4440
  },
  "entryPoint": "8cfec329267",
  "ipaddress": "255.255.255.255"
}
```

**Response**

```json
{
  "responseText": "Success",
  "isSuccess": true,
  "responseData": {
    "authCode": "123456",
    "referenceId": "129-219",
    "resultCode": 1,
    "resultText": "Authorized",
    "avsResponseText": "No address or ZIP match only",
    "cvvResponseText": "CVV2/CVC2 no match",
    "customerId": 4440,
    "methodReferenceId": null
  },
  "pageIdentifier": null
}
```

**SDK Code**

```typescript
import { PayabliClient } from "@payabli/sdk-node";

async function main() {
    const client = new PayabliClient();
    await client.moneyIn.authorize({
        body: {
            customerData: {
                customerId: 4440,
            },
            entryPoint: "8cfec329267",
            ipaddress: "255.255.255.255",
            paymentDetails: {
                serviceFee: 0,
                totalAmount: 100,
            },
            paymentMethod: {
                cardcvv: "999",
                cardexp: "02/27",
                cardHolder: "John Cassian",
                cardnumber: "4111111111111111",
                cardzip: "12345",
                initiator: "payor",
                method: "card",
            },
        },
    });
}
main();

```

```python
from payabli import payabli, PayorDataRequest, PaymentDetail, PayMethodCredit

client = payabli()

client.money_in.authorize(
    customer_data=PayorDataRequest(
        customer_id=4440,
    ),
    entry_point="8cfec329267",
    ipaddress="255.255.255.255",
    payment_details=PaymentDetail(
        service_fee=0,
        total_amount=100,
    ),
    payment_method=PayMethodCredit(
        cardcvv="999",
        cardexp="02/27",
        card_holder="John Cassian",
        cardnumber="4111111111111111",
        cardzip="12345",
        initiator="payor",
        method="card",
    ),
)

```

```java
package com.example.usage;

import io.github.payabli.api.PayabliApiClient;
import io.github.payabli.api.resources.moneyin.requests.RequestPaymentAuthorize;
import io.github.payabli.api.types.PayMethodCredit;
import io.github.payabli.api.types.PayMethodCreditMethod;
import io.github.payabli.api.types.PaymentDetail;
import io.github.payabli.api.types.PaymentMethod;
import io.github.payabli.api.types.PayorDataRequest;
import io.github.payabli.api.types.TransRequestBody;
import java.util.Optional;

public class Example {
    public static void main(String[] args) {
        PayabliApiClient client = PayabliApiClient
            .builder()
            .build();

        client.moneyIn().authorize(
            RequestPaymentAuthorize
                .builder()
                .body(
                    TransRequestBody
                        .builder()
                        .paymentDetails(
                            PaymentDetail
                                .builder()
                                .totalAmount(100.0)
                                .serviceFee(0.0)
                                .build()
                        )
                        .paymentMethod(
                            PaymentMethod.of(
                                PayMethodCredit
                                    .builder()
                                    .cardexp("02/27")
                                    .cardnumber("4111111111111111")
                                    .method(PayMethodCreditMethod.CARD)
                                    .cardcvv(Optional.of("999"))
                                    .cardHolder(Optional.of("John Cassian"))
                                    .cardzip(Optional.of("12345"))
                                    .initiator(Optional.of("payor"))
                                    .build()
                            )
                        )
                        .customerData(
                            PayorDataRequest
                                .builder()
                                .customerId(4440L)
                                .build()
                        )
                        .entryPoint("8cfec329267")
                        .ipaddress("255.255.255.255")
                        .build()
                )
                .build()
        );
    }
}
```

```ruby
require "payabli"

client = Payabli::Client.new

client.money_in.authorize(
  customer_data: {
    customer_id: 4440
  },
  entry_point: "8cfec329267",
  ipaddress: "255.255.255.255",
  payment_details: {
    total_amount: 100,
    service_fee: 0
  },
  payment_method: {
    card_holder: "John Cassian",
    cardcvv: "999",
    cardexp: "02/27",
    cardnumber: "4111111111111111",
    cardzip: "12345",
    initiator: "payor",
    method_: "card"
  }
)

```

```csharp
using PayabliApi;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new PayabliApiClient();

        await client.MoneyIn.AuthorizeAsync(
            new RequestPaymentAuthorize {
                Body = new TransRequestBody {
                    CustomerData = new PayorDataRequest {
                        CustomerId = 4440L
                    },
                    EntryPoint = "8cfec329267",
                    Ipaddress = "255.255.255.255",
                    PaymentDetails = new PaymentDetail {
                        ServiceFee = 0,
                        TotalAmount = 100
                    },
                    PaymentMethod = new PayMethodCredit {
                        Cardcvv = "999",
                        Cardexp = "02/27",
                        CardHolder = "John Cassian",
                        Cardnumber = "4111111111111111",
                        Cardzip = "12345",
                        Initiator = "payor",
                        Method = PayMethodCreditMethod.Card
                    }
                }
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    payabli "github.com/payabli/sdk-go"
    client "github.com/payabli/sdk-go/client"
)

func do() {
    client := client.NewClient()
    request := &payabli.RequestPaymentAuthorize{
        Body: &payabli.TransRequestBody{
            PaymentDetails: &payabli.PaymentDetail{
                TotalAmount: 100,
                ServiceFee: payabli.Float64(
                    0,
                ),
            },
            PaymentMethod: &payabli.PaymentMethod{
                PayMethodCredit: &payabli.PayMethodCredit{
                    CardHolder: payabli.String(
                        "John Cassian",
                    ),
                    Cardcvv: payabli.String(
                        "999",
                    ),
                    Cardexp: "02/27",
                    Cardnumber: "4111111111111111",
                    Cardzip: payabli.String(
                        "12345",
                    ),
                    Initiator: payabli.String(
                        "payor",
                    ),
                    Method: payabli.PayMethodCreditMethodCard,
                },
            },
            CustomerData: &payabli.PayorDataRequest{
                CustomerId: payabli.Int64(
                    int64(4440),
                ),
            },
            EntryPoint: payabli.String(
                "8cfec329267",
            ),
            Ipaddress: payabli.String(
                "255.255.255.255",
            ),
        },
    }
    client.MoneyIn.Authorize(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Payabli\PayabliClient;
use Payabli\MoneyIn\Requests\RequestPaymentAuthorize;
use Payabli\Types\TransRequestBody;
use Payabli\Types\PayorDataRequest;
use Payabli\Types\PaymentDetail;
use Payabli\Types\PayMethodCredit;
use Payabli\Types\PayMethodCreditMethod;

$client = new PayabliClient(
    clientId: 'YOUR_CLIENT_ID',
    clientSecret: 'YOUR_CLIENT_SECRET',
);
$client->moneyIn->authorize(
    new RequestPaymentAuthorize([
        'body' => new TransRequestBody([
            'customerData' => new PayorDataRequest([
                'customerId' => 4440,
            ]),
            'entryPoint' => '8cfec329267',
            'ipaddress' => '255.255.255.255',
            'paymentDetails' => new PaymentDetail([
                'serviceFee' => 0,
                'totalAmount' => 100,
            ]),
            'paymentMethod' => new PayMethodCredit([
                'cardcvv' => '999',
                'cardexp' => '02/27',
                'cardHolder' => 'John Cassian',
                'cardnumber' => '4111111111111111',
                'cardzip' => '12345',
                'initiator' => 'payor',
                'method' => PayMethodCreditMethod::Card->value,
            ]),
        ]),
    ]),
);

```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [
  "paymentDetails": [
    "totalAmount": 100,
    "serviceFee": 0
  ],
  "paymentMethod": [
    "cardHolder": "John Cassian",
    "cardcvv": "999",
    "cardexp": "02/27",
    "cardnumber": "4111111111111111",
    "cardzip": "12345",
    "initiator": "payor",
    "method": "card"
  ],
  "customerData": ["customerId": 4440],
  "entryPoint": "8cfec329267",
  "ipaddress": "255.255.255.255"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api-sandbox.payabli.com/api/MoneyIn/authorize")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```